%global pypi_name certbot-dns-rfc2136

Name:           python-%{pypi_name}
Version:        0.19.0
Release:        1%{?dist}
Summary:        RFC 2136 DNS Authenticator plugin for Certbot

License:        ASL 2.0
URL:            https://github.com/certbot/certbot
Source0:        https://files.pythonhosted.org/packages/source/c/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-sphinx

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
%{summary}

%package -n     python2-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{pypi_name}}

# Provide the name users expect as a certbot plugin
%if ( 0%{?rhel} && 0%{?rhel} <= 7 ) || ( 0%{?fedora} && 0%{?fedora} <= 25 )
Provides:      %{pypi_name} = %{version}-%{release}
%endif

Requires:       python2-acme = 0.19.0
Requires:       python2-certbot = 0.19.0
Requires:       python2-dns
Requires:       python2-setuptools >= 1.0
Requires:       python2-zope-interface
BuildRequires:  python2-acme = 0.19.0
BuildRequires:  python2-certbot = 0.19.0
BuildRequires:  python2-dns
BuildRequires:  python2-mock
BuildRequires:  python2-setuptools >= 1.0
BuildRequires:  python2-zope-interface

%description -n python2-%{pypi_name}
%{summary}


%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

# Provide the name users expect as a certbot plugin
%if 0%{?fedora} >= 26
Provides:      %{pypi_name} = %{version}-%{release}
%endif

Requires:       python3-acme = 0.19.0
Requires:       python3-certbot = 0.19.0
Requires:       python3-dns
Requires:       python3-setuptools >= 1.0
Requires:       python3-zope-interface
BuildRequires:  python3-acme = 0.19.0
BuildRequires:  python3-certbot = 0.19.0
BuildRequires:  python3-dns
BuildRequires:  python3-mock
BuildRequires:  python3-setuptools >= 1.0
BuildRequires:  python3-zope-interface

%description -n python3-%{pypi_name}
%{summary}


%package -n python-%{pypi_name}-doc
Summary:        Documentation for certbot-dns-rfc2136

%description -n python-%{pypi_name}-doc
Documentation for certbot-dns-rfc2136


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py2_build
%py3_build
# generate html docs
sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install.
%py3_install

%py2_install


%check
%{__python2} setup.py test
%{__python3} setup.py test

%files -n python2-%{pypi_name}
%license LICENSE.txt
%doc README.rst
%{python2_sitelib}/certbot_dns_rfc2136
%{python2_sitelib}/certbot_dns_rfc2136-%{version}-py?.?.egg-info

%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README.rst
%{python3_sitelib}/certbot_dns_rfc2136
%{python3_sitelib}/certbot_dns_rfc2136-%{version}-py?.?.egg-info

%files -n python-%{pypi_name}-doc
%doc html

%changelog
* Mon Nov 20 2017 Ed Marshall <esm@logic.net> - 0.19.0-1
- Initial package.
